; ##############################################################################
; ##############################################################################
; ##############################################################################
; BEGRUNG																		
ANZEIGE_BEGRUESSUNG:
	; ZEILE1	
	call GRAFIC_CLEAR
	ldi ZH, high(TEXT_BEGRUESSUNG_1*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_1*2)
	call ASCII_TEXT_Z
	; ZEILE2	
	call ASCII_CURSOR_ZEILE_2
	ldi ZH, high(TEXT_BEGRUESSUNG_2*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_2*2)
	call ASCII_TEXT_Z
	; ZEILE3	
	call ASCII_CURSOR_ZEILE_3
	ldi ZH, high(TEXT_BEGRUESSUNG_3*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_3*2)
	call ASCII_TEXT_Z
	; ZEILE4	
	call ASCII_CURSOR_ZEILE_4
	ldi ZH, high(TEXT_BEGRUESSUNG_4*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_4*2)
	call ASCII_TEXT_Z
	; ZEILE5	
	call ASCII_CURSOR_ZEILE_5
	STS(adr_GRAFIC_FARBE),EINS	; INVERS ON	
	ldi ZH, high(TEXT_BEGRUESSUNG_5*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_5*2)
	call ASCII_TEXT_Z
	STS(adr_GRAFIC_FARBE),NULL	; INVERS OFF
	; ZEILE6	
	call ASCII_CURSOR_ZEILE_6
	ldi ZH, high(TEXT_BEGRUESSUNG_6*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_6*2)
	call ASCII_TEXT_Z
	; ZEILE7	
	call ASCII_CURSOR_ZEILE_7
	ldi ZH, high(TEXT_BEGRUESSUNG_7*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_7*2)
	call ASCII_TEXT_Z
	; ZEILE8	
	call ASCII_CURSOR_ZEILE_8
	ldi ZH, high(TEXT_BEGRUESSUNG_8*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_8*2)
	call ASCII_TEXT_Z
	; ZEILE9	
	call ASCII_CURSOR_ZEILE_9
	ldi ZH, high(TEXT_BEGRUESSUNG_9*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_9*2)
	call ASCII_TEXT_Z
	; ZEILE10	
	call ASCII_CURSOR_ZEILE_10
	ldi ZH, high(TEXT_BEGRUESSUNG_10*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_10*2)
	call ASCII_TEXT_Z
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_HAUPTMENUE:
	; ZEILE 1
	rcall ASCII_CURSOR_ZEILE_1
	STS(adr_GRAFIC_FARBE),EINS	; INVERS ON	
	rcall ANZEIGE_ZEIT_KURZ
	STS(adr_GRAFIC_FARBE),NULL	; INVERS OFF
	rcall ASCII_SPACE4
	rcall ANZEIGE_DATUM_KURZ

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_ERROR_CODE_TV:
	LDS temp,(adr_ERROR_CODE_TV)
	tst temp
	brne ANZEIGE_ERROR_CODE_TV_RUN
	LDS temp,(adr_ERROR_WERT_TV)
	tst temp
	brne ANZEIGE_ERROR_CODE_TV_RUN
	ret
ANZEIGE_ERROR_CODE_TV_RUN:
	call wait_1s
	; ZEILE1	
	call GRAFIC_CLEAR
	call ASCII_E
	call ASCII_R
	call ASCII_R
	call ASCII_O
	call ASCII_R
	; ZEILE 3	
	call ASCII_CURSOR_ZEILE_3
	LDS temp1,(adr_ERROR_CODE_TV)
	rcall ANZEIGE_3_STELLEN_TEMP1

	; ZEILE 5	
	call ASCII_CURSOR_ZEILE_5
	LDS temp1,(adr_ERROR_WERT_TV)
	call ANZEIGE_3_STELLEN_TEMP1

	jmp wait_1s
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_SYSTEM:
	; ZEILE1	
	call GRAFIC_CLEAR
	call ASCII_S	
	call ASCII_Y	
	call ASCII_S	
	call ASCII_T	
	call ASCII_E	
	call ASCII_M	
	; ZEILE 2	
	call ASCII_CURSOR_ZEILE_2
	call ASCII_R	
	call ASCII_A	
	call ASCII_M	
	call ASCII_SPACE

	ldi temp1, LOW(RAMEND)					; SRAM
	ldi temp2,HIGH(RAMEND)
	ldi temp3, LOW(SRAM_START)
	ldi temp4,HIGH(SRAM_START)
	sub temp1,temp3
	sbc temp2,temp4
	rcall ANZEIGE_5_STELLEN_TEMP1_TEMP2
	; ZEILE 2	
	call ASCII_CURSOR_ZEILE_3
	call ASCII_B
	call ASCII_I
	call ASCII_L
	call ASCII_D
	call ASCII_SPACE
	
	ldi temp1, LOW(adr_TV_BILDBEREICH_ENDE)	; BILDBEREICH	
	ldi temp2,HIGH(adr_TV_BILDBEREICH_ENDE)
	ldi temp3, LOW(adr_TV_BILDBEREICH)
	ldi temp4,HIGH(adr_TV_BILDBEREICH)
	sub temp1,temp3
	sbc temp2,temp4
	call ANZEIGE_5_STELLEN_TEMP1_TEMP2
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_CPU_RECHEN_GESCHWINDIGKEIT:
	call GRAFIC_CLEAR
	call ASCII_CURSOR_ZEILE_2

	call MESSUNG_CPU_RECHEN_GESCHWINDIGKEIT	; MESSUNG
	push temp1
	push temp2
	push temp3
	push temp4

	call ASCII_C
	call ASCII_P
	call ASCII_U
	call ASCII_MINUS
	call ASCII_L_
	call ASCII_E_
	call ASCII_E_
	call ASCII_R_
	call ASCII_MINUS
	call ASCII_T
	call ASCII_V
	call ASCII_DOPPEL_PUNKT
	call ASCII_SPACE

	pop temp4
	pop temp3
	pop temp2
	pop temp1
	mov temp1,temp2	; durch 256
	mov temp2,temp3
	mov temp3,temp4
	clr temp4
 	call FUNCTION_HEX_ASC_32
	call ANZEIGE_ZAHL_3_STELLEN_KURZ


	call ASCII_CURSOR_ZEILE_3
	call ASCII_C
	call ASCII_P
	call ASCII_U
	call ASCII_MINUS
	call ASCII_V_
	call ASCII_O_
	call ASCII_L_
	call ASCII_L_
	call ASCII_MINUS
	call ASCII_T
	call ASCII_V
	call ASCII_DOPPEL_PUNKT
	call ASCII_SPACE

	; RAHMEN, um C zu belasten				
	ldi XL,LOW (0)			; X1	
	ldi XH,HIGH(0)	
	ldi YL,LOW (0)			; Y1	
	ldi YH,HIGH(0)	
	STS(adr_GRAFIC_X1_L),XL	; X1	
	STS(adr_GRAFIC_X1_H),XH
	STS(adr_GRAFIC_Y1_L),YL	; Y1	
	STS(adr_GRAFIC_Y1_H),YH
	ldi XL,LOW (319)		; X2	
	ldi XH,HIGH(319)	
	ldi YL,LOW (255)		; Y2	
	ldi YH,HIGH(255)
	STS(adr_GRAFIC_X2_L),XL	; X2	
	STS(adr_GRAFIC_X2_H),XH
	STS(adr_GRAFIC_Y2_L),YL	; Y2	
	STS(adr_GRAFIC_Y2_H),YH
	call GRAFIC_RECHTECK


	call MESSUNG_CPU_RECHEN_GESCHWINDIGKEIT	; MESSUNG
	mov temp1,temp2	; durch 256
	mov temp2,temp3
	mov temp3,temp4
	clr temp4
 	call FUNCTION_HEX_ASC_32
	call ANZEIGE_ZAHL_3_STELLEN_KURZ

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
