; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1																	
ANZEIGE_2_STELLEN_TEMP1:
	clr temp2
	clr temp3
	clr temp4
 	rcall FUNCTION_HEX_ASC_32	; INPUT: temp1...4 OUTPUT: Temp1...9 (temp)		
	rjmp ANZEIGE_ZAHL_2_STELLEN_KURZ
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1																	
ANZEIGE_3_STELLEN_TEMP1:
	clr temp2
	clr temp3
	clr temp4
 	rcall FUNCTION_HEX_ASC_32	; INPUT: temp1...4 OUTPUT: Temp1...9 (temp)		
	rcall ANZEIGE_ZAHL_3_STELLEN_KURZ
	rjmp ASCII_SPACE
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1															  		
; z.B. +127																		
; z.B. -128																		
ANZEIGE_3_STELLEN_SIGNIERT_TEMP1:
	tst temp1
	brmi ANZEIGE_3_STELLEN_SIGNIERT_TEMP1_n
	rcall ASCII_PLUS				; VORZEICHEN	
	rjmp ANZEIGE_3_STELLEN_TEMP1
ANZEIGE_3_STELLEN_SIGNIERT_TEMP1_n:
	rcall ASCII_MINUS				; VORZEICHEN	
	COM temp1
	inc temp1
	rjmp ANZEIGE_3_STELLEN_TEMP1
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1																	
; z.B: "22,5"																	
ANZEIGE_3_STELLEN_KOMMA1_TEMP1:
	clr temp2
	clr temp3
	clr temp4
 	rcall FUNCTION_HEX_ASC_32
	; NULLSTELLEN-Unterdrckung	
	cpi temp3,'0'
	brne ANZEIGE_3_STELLEN_KOMMA1_TEMP1_w
	ldi temp3,' '
ANZEIGE_3_STELLEN_KOMMA1_TEMP1_w:
	; KOMMA einfgen			
	mov temp4,temp3
	mov temp3,temp2
	ldi temp2,','
	rcall ANZEIGE_ZAHL_4_STELLEN_KURZ ; 4Stellen, wegen Komma	
	rjmp ASCII_SPACE
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1 + TEMP2															
ANZEIGE_3_STELLEN_TEMP1_TEMP2:
	clr temp3
	clr temp4
 	rcall FUNCTION_HEX_ASC_32
	rcall ANZEIGE_ZAHL_3_STELLEN_KURZ
	rjmp ASCII_SPACE
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1 + TEMP2															
ANZEIGE_5_STELLEN_TEMP1_TEMP2:
	clr temp3
	clr temp4
 	rcall FUNCTION_HEX_ASC_32
	rcall ANZEIGE_ZAHL_5_STELLEN_KURZ
	rjmp ASCII_SPACE
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1															  		
; z.B. +32767																	
; z.B. -32768																	
ANZEIGE_5_STELLEN_SIGNIERT_TEMP1_TEMP2:
	tst temp2
	brmi ANZEIGE_5_STELLEN_SIGNIERT_TEMP1_TEMP2_n
	rcall ASCII_PLUS	; VORZEICHEN	
	rjmp ANZEIGE_5_STELLEN_TEMP1_TEMP2
ANZEIGE_5_STELLEN_SIGNIERT_TEMP1_TEMP2_n:
	rcall ASCII_MINUS	; VORZEICHEN	
	COM temp1			; BETRAG bilden	
	COM temp2
	add temp1,EINS
	adc temp2,NULL
	rjmp ANZEIGE_5_STELLEN_TEMP1_TEMP2
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1 + TEMP2 + TEMP3													
ANZEIGE_8_STELLEN_TEMP1_TEMP2_TEMP3:
	clr temp4
 	rcall FUNCTION_HEX_ASC_32
	rcall ANZEIGE_ZAHL_8_STELLEN_KURZ
	rjmp ASCII_SPACE
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 	(0...4.294.967.295)															
; INPUT: TEMP1 + TEMP2 + TEMP3 + TEMP4											
ANZEIGE_10_STELLEN_TEMP1_TEMP2_TEMP3_TEMP4:
 	rcall FUNCTION_HEX_ASC_32
	rcall ANZEIGE_ZAHL_10_STELLEN_KURZ
	rjmp ASCII_SPACE
; ##############################################################################
; ##############################################################################
; ##############################################################################
; (-2.147.483.648...+2.147.483.647)												
; INPUT: TEMP1 + TEMP2 + TEMP3 + TEMP4											
ANZEIGE_10_STELLEN_SIGNIERT_TEMP1_TEMP2_TEMP3_TEMP4:
	tst temp4
	brmi ANZEIGE_10_STELLEN_SIGNIERT_TEMP1_TEMP2_TEMP3_TEMP4_n
	rcall ASCII_PLUS	; VORZEICHEN	
	rjmp ANZEIGE_10_STELLEN_TEMP1_TEMP2_TEMP3_TEMP4
ANZEIGE_10_STELLEN_SIGNIERT_TEMP1_TEMP2_TEMP3_TEMP4_n:
	rcall ASCII_MINUS	; VORZEICHEN	
	com temp1
	com temp2
	com temp3
	com temp4
	add temp1,EINS
	adc temp2,NULL	
	adc temp3,NULL
	adc temp4,NULL
	rjmp ANZEIGE_10_STELLEN_TEMP1_TEMP2_TEMP3_TEMP4
;######################################################################## 	
;######################################################################## 	
;######################################################################## 	
; INPUT: TEMP1...TEMP9 (temp)												
ANZEIGE_ZAHL_10_STELLEN_KURZ:
	; temp !
	rcall ASCII_TEMP			; 10.ZEICHEN 	
ANZEIGE_ZAHL_9_STELLEN_KURZ:
	mov temp, temp9			; 9.ZEICHEN 
	rcall ASCII_TEMP	
ANZEIGE_ZAHL_8_STELLEN_KURZ:
	mov temp, temp8			; 8.ZEICHEN 
	rcall ASCII_TEMP
ANZEIGE_ZAHL_7_STELLEN_KURZ:
	mov temp, temp7			; 7.ZEICHEN 
	rcall ASCII_TEMP	
ANZEIGE_ZAHL_6_STELLEN_KURZ:
	mov temp, temp6			; 6.ZEICHEN 
	rcall ASCII_TEMP
ANZEIGE_ZAHL_5_STELLEN_KURZ:
	mov temp, temp5			; 5.ZEICHEN 
	rcall ASCII_TEMP
ANZEIGE_ZAHL_4_STELLEN_KURZ:
	mov temp, temp4			; 4.ZEICHEN 
	rcall ASCII_TEMP
ANZEIGE_ZAHL_3_STELLEN_KURZ:
	mov temp, temp3			; 3.ZEICHEN 
	rcall ASCII_TEMP	
ANZEIGE_ZAHL_2_STELLEN_KURZ:
	mov temp, temp2			; 2.ZEICHEN 
	rcall ASCII_TEMP	
ANZEIGE_ZAHL_1_STELLEN_KURZ:
	mov temp, temp1			; 1.ZEICHEN (1-er Stelle)	
	rcall ASCII_TEMP
ret

;######################################################################## 	
;########################################################################	
;######################################################################## 	
; INP: temp1																
; OUT: (z.B."FF") 															
;																			
ANZEIGE_HEX_TEMP1:
	; SICHERUNGSKOPIE						
	push temp
	push temp1
	; oberes NIBBLE bearbeiten				
	mov temp,temp1	
	swap temp						; NIBBLES tausch	
	rcall ANZEIGE_HEX_UMWANDLUNG	; INP/OUT: temp		
	rcall ASCII_TEMP
	; unteres NIBBLE bearbeiten				
	mov temp,temp1	
	rcall ANZEIGE_HEX_UMWANDLUNG	; INP/OUT: temp		
	rcall ASCII_TEMP
	; SICHERUNGSKOPIE wieder herstellen		
	pop temp1
	pop temp
	ret
;-------------------------------------------------------------------------------
ANZEIGE_HEX_UMWANDLUNG:
	; BITMUSTER	
	andi temp,0b00001111
	; vergleich	
	cpi temp,10
	brsh ANZEIGE_HEX_UMWANDLUNG_A_F
ANZEIGE_HEX_UMWANDLUNG_0_9:
	subi temp,-48
	ret
ANZEIGE_HEX_UMWANDLUNG_A_F:
	subi temp,-48-7
	ret
;######################################################################## 
;######################################################################## 
;######################################################################## 

